# Dataset

## Properties
Name | Type | Description | Notes
------------ | ------------- | ------------- | -------------
**base_object_relative_path** | **str** | The base object relative path of the dataset. It&#39;s the name of the folder or just the name of the file if the dataset contains only one file. | [optional] 
**datalake_id** | **int** | The ID of the datalake that contains the datapool. | [optional] 
**datapool_name** | **str** | The name of the datapool from which the dataset was published. | [optional] 
**dataset_description** | **str** | The dataset description set before publishing. | [optional] 
**dataset_name** | **str** | The name of the dataset chosen by the publisher. It must be unique. | [optional] 
**files** | [**dict(str, ObjectInformation)**](ObjectInformation.md) | List of all the files and their description and attachments this dataset has. | [optional] 
**published_path** | **str** | BDL read-only published path from the internal bucket of the datapool from which the dataset got published. | [optional] 
**publisher_id** | **int** | User ID of the publisher. | [optional] 
**subscriber_ids** | **list[int]** | List of the user IDs of those who subscribed to this dataset. | [optional] 
**tags** | **list[str]** | List of tags for the datasets. | [optional] 
**version** | **int** | Version number of the dataset. It gets incremented when publisher overrides the existing dataset. | [optional] 
**visibility** | **str** | Visibility mode of the dataset. Can be either public or for a specific datalake or organization. | [optional] 

[[Back to Model list]](../README.md#documentation-for-models) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to README]](../README.md)


