# Project

## Properties
Name | Type | Description | Notes
------------ | ------------- | ------------- | -------------
**contains_internal_services** | **bool** | Set automatically to true on projects that are used internally by the system to host mandatory applications. Otherwise false. | [optional] 
**created_timestamp_seconds** | **int** |  | [optional] 
**creating** | **bool** |  | [optional] 
**datapool_name** | **str** | The name of the datapool that will conume resources for this project. | [optional] 
**deleting** | **bool** |  | [optional] 
**firewall_rules** | [**list[FirewallRule]**](FirewallRule.md) | Firewall rules that are applied, allowing access to resources. | [optional] 
**name** | **str** | Unique name to identify the project amongst other projects belonging to the datapool. | [optional] 
**ongoing_change** | **bool** |  | [optional] 
**project_current_operation_status** | [**ProjectCurrentOperationStatus**](ProjectCurrentOperationStatus.md) | Status of the current operation that is currently being executed. | [optional] 
**project_quota** | [**ProjectQuota**](ProjectQuota.md) | The quota of resources that the project has reserved from the datapool. | [optional] 
**running** | **bool** |  | [optional] 
**status** | **str** | The current status of the project. | [optional] 
**updated_timestamp_seconds** | **int** |  | [optional] 

[[Back to Model list]](../README.md#documentation-for-models) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to README]](../README.md)


