# bdl_client.AttachmentsPublicApiControllerApi

All URIs are relative to *https://localhost*

Method | HTTP request | Description
------------- | ------------- | -------------
[**attach**](AttachmentsPublicApiControllerApi.md#attach) | **POST** /api/v1/datamanagement/atch/attach/b/{bucketName} | Attaches a file to an object.
[**detach**](AttachmentsPublicApiControllerApi.md#detach) | **DELETE** /api/v1/datamanagement/atch/detach/b/{bucketName} | Detaches a file from an object.
[**download_attachment**](AttachmentsPublicApiControllerApi.md#download_attachment) | **GET** /api/v1/datamanagement/atch/download/b/{bucketName} | Downloads object that is attached to the given object.
[**get_attachment_description**](AttachmentsPublicApiControllerApi.md#get_attachment_description) | **GET** /api/v1/datamanagement/atch/description/b/{bucketName} | Return the description for the attachment at the specified path.
[**list_attachments**](AttachmentsPublicApiControllerApi.md#list_attachments) | **GET** /api/v1/datamanagement/atch/list/b/{bucketName} | Lists the attachments belonging to an object.
[**set_attachment_description**](AttachmentsPublicApiControllerApi.md#set_attachment_description) | **POST** /api/v1/datamanagement/atch/description/b/{bucketName} | Sets the description for the object at the specified path.


# **attach**
> FileStatus attach(authorization, attachment_name, bucket_name, local_file, object_path, request_headers_e_tag=request_headers_e_tag, request_headers_accept_charset_0_registered=request_headers_accept_charset_0_registered, request_headers_accept_language_as_locales_0_iso3_country=request_headers_accept_language_as_locales_0_iso3_country, request_headers_accept_language_as_locales_0_iso3_language=request_headers_accept_language_as_locales_0_iso3_language, request_headers_accept_language_as_locales_0_country=request_headers_accept_language_as_locales_0_country, request_headers_accept_language_as_locales_0_display_country=request_headers_accept_language_as_locales_0_display_country, request_headers_accept_language_as_locales_0_display_language=request_headers_accept_language_as_locales_0_display_language, request_headers_accept_language_as_locales_0_display_name=request_headers_accept_language_as_locales_0_display_name, request_headers_accept_language_as_locales_0_display_script=request_headers_accept_language_as_locales_0_display_script, request_headers_accept_language_as_locales_0_display_variant=request_headers_accept_language_as_locales_0_display_variant, request_headers_accept_language_as_locales_0_language=request_headers_accept_language_as_locales_0_language, request_headers_accept_language_as_locales_0_script=request_headers_accept_language_as_locales_0_script, request_headers_accept_language_as_locales_0_unicode_locale_attributes=request_headers_accept_language_as_locales_0_unicode_locale_attributes, request_headers_accept_language_as_locales_0_unicode_locale_keys=request_headers_accept_language_as_locales_0_unicode_locale_keys, request_headers_accept_language_as_locales_0_variant=request_headers_accept_language_as_locales_0_variant, request_headers_accept_language_0_range=request_headers_accept_language_0_range, request_headers_accept_language_0_weight=request_headers_accept_language_0_weight, request_headers_accept_0_charset_registered=request_headers_accept_0_charset_registered, request_headers_accept_0_concrete=request_headers_accept_0_concrete, request_headers_accept_0_quality_value=request_headers_accept_0_quality_value, request_headers_accept_0_subtype=request_headers_accept_0_subtype, request_headers_accept_0_type=request_headers_accept_0_type, request_headers_accept_0_wildcard_subtype=request_headers_accept_0_wildcard_subtype, request_headers_accept_0_wildcard_type=request_headers_accept_0_wildcard_type, request_headers_access_control_allow_credentials=request_headers_access_control_allow_credentials, request_headers_access_control_allow_headers=request_headers_access_control_allow_headers, request_headers_access_control_allow_methods=request_headers_access_control_allow_methods, request_headers_access_control_allow_origin=request_headers_access_control_allow_origin, request_headers_access_control_expose_headers=request_headers_access_control_expose_headers, request_headers_access_control_max_age=request_headers_access_control_max_age, request_headers_access_control_request_headers=request_headers_access_control_request_headers, request_headers_access_control_request_method=request_headers_access_control_request_method, request_headers_allow=request_headers_allow, request_headers_cache_control=request_headers_cache_control, request_headers_connection=request_headers_connection, request_headers_content_disposition_charset_registered=request_headers_content_disposition_charset_registered, request_headers_content_disposition_creation_date=request_headers_content_disposition_creation_date, request_headers_content_disposition_filename=request_headers_content_disposition_filename, request_headers_content_disposition_modification_date=request_headers_content_disposition_modification_date, request_headers_content_disposition_name=request_headers_content_disposition_name, request_headers_content_disposition_read_date=request_headers_content_disposition_read_date, request_headers_content_disposition_size=request_headers_content_disposition_size, request_headers_content_disposition_type=request_headers_content_disposition_type, request_headers_content_language_iso3_country=request_headers_content_language_iso3_country, request_headers_content_language_iso3_language=request_headers_content_language_iso3_language, request_headers_content_language_country=request_headers_content_language_country, request_headers_content_language_display_country=request_headers_content_language_display_country, request_headers_content_language_display_language=request_headers_content_language_display_language, request_headers_content_language_display_name=request_headers_content_language_display_name, request_headers_content_language_display_script=request_headers_content_language_display_script, request_headers_content_language_display_variant=request_headers_content_language_display_variant, request_headers_content_language_language=request_headers_content_language_language, request_headers_content_language_script=request_headers_content_language_script, request_headers_content_language_unicode_locale_attributes=request_headers_content_language_unicode_locale_attributes, request_headers_content_language_unicode_locale_keys=request_headers_content_language_unicode_locale_keys, request_headers_content_language_variant=request_headers_content_language_variant, request_headers_content_length=request_headers_content_length, request_headers_content_type_charset_registered=request_headers_content_type_charset_registered, request_headers_content_type_concrete=request_headers_content_type_concrete, request_headers_content_type_quality_value=request_headers_content_type_quality_value, request_headers_content_type_subtype=request_headers_content_type_subtype, request_headers_content_type_type=request_headers_content_type_type, request_headers_content_type_wildcard_subtype=request_headers_content_type_wildcard_subtype, request_headers_content_type_wildcard_type=request_headers_content_type_wildcard_type, request_headers_date=request_headers_date, request_headers_expires=request_headers_expires, request_headers_host_address_mc_global=request_headers_host_address_mc_global, request_headers_host_address_mc_link_local=request_headers_host_address_mc_link_local, request_headers_host_address_mc_node_local=request_headers_host_address_mc_node_local, request_headers_host_address_mc_org_local=request_headers_host_address_mc_org_local, request_headers_host_address_mc_site_local=request_headers_host_address_mc_site_local, request_headers_host_address_address=request_headers_host_address_address, request_headers_host_address_any_local_address=request_headers_host_address_any_local_address, request_headers_host_address_canonical_host_name=request_headers_host_address_canonical_host_name, request_headers_host_address_host_address=request_headers_host_address_host_address, request_headers_host_address_host_name=request_headers_host_address_host_name, request_headers_host_address_link_local_address=request_headers_host_address_link_local_address, request_headers_host_address_loopback_address=request_headers_host_address_loopback_address, request_headers_host_address_multicast_address=request_headers_host_address_multicast_address, request_headers_host_address_site_local_address=request_headers_host_address_site_local_address, request_headers_host_host_name=request_headers_host_host_name, request_headers_host_host_string=request_headers_host_host_string, request_headers_host_port=request_headers_host_port, request_headers_host_unresolved=request_headers_host_unresolved, request_headers_if_match=request_headers_if_match, request_headers_if_modified_since=request_headers_if_modified_since, request_headers_if_none_match=request_headers_if_none_match, request_headers_if_unmodified_since=request_headers_if_unmodified_since, request_headers_last_modified=request_headers_last_modified, request_headers_location_absolute=request_headers_location_absolute, request_headers_location_authority=request_headers_location_authority, request_headers_location_fragment=request_headers_location_fragment, request_headers_location_host=request_headers_location_host, request_headers_location_opaque=request_headers_location_opaque, request_headers_location_path=request_headers_location_path, request_headers_location_port=request_headers_location_port, request_headers_location_query=request_headers_location_query, request_headers_location_raw_authority=request_headers_location_raw_authority, request_headers_location_raw_fragment=request_headers_location_raw_fragment, request_headers_location_raw_path=request_headers_location_raw_path, request_headers_location_raw_query=request_headers_location_raw_query, request_headers_location_raw_scheme_specific_part=request_headers_location_raw_scheme_specific_part, request_headers_location_raw_user_info=request_headers_location_raw_user_info, request_headers_location_scheme=request_headers_location_scheme, request_headers_location_scheme_specific_part=request_headers_location_scheme_specific_part, request_headers_location_user_info=request_headers_location_user_info, request_headers_origin=request_headers_origin, request_headers_pragma=request_headers_pragma, request_headers_upgrade=request_headers_upgrade, request_headers_vary=request_headers_vary, request_method=request_method)

Attaches a file to an object.

### Example
```python
from __future__ import print_function
import time
import bdl_client
from bdl_client.rest import ApiException
from pprint import pprint

# create an instance of the API class
api_instance = bdl_client.AttachmentsPublicApiControllerApi()
authorization = 'authorization_example' # str | Authorization
attachment_name = 'attachment_name_example' # str | attachmentName
bucket_name = 'bucket_name_example' # str | bucketName
local_file = '/path/to/file.txt' # file | localFile
object_path = 'object_path_example' # str | objectPath
request_headers_e_tag = 'request_headers_e_tag_example' # str |  (optional)
request_headers_accept_charset_0_registered = true # bool |  (optional)
request_headers_accept_language_as_locales_0_iso3_country = 'request_headers_accept_language_as_locales_0_iso3_country_example' # str |  (optional)
request_headers_accept_language_as_locales_0_iso3_language = 'request_headers_accept_language_as_locales_0_iso3_language_example' # str |  (optional)
request_headers_accept_language_as_locales_0_country = 'request_headers_accept_language_as_locales_0_country_example' # str |  (optional)
request_headers_accept_language_as_locales_0_display_country = 'request_headers_accept_language_as_locales_0_display_country_example' # str |  (optional)
request_headers_accept_language_as_locales_0_display_language = 'request_headers_accept_language_as_locales_0_display_language_example' # str |  (optional)
request_headers_accept_language_as_locales_0_display_name = 'request_headers_accept_language_as_locales_0_display_name_example' # str |  (optional)
request_headers_accept_language_as_locales_0_display_script = 'request_headers_accept_language_as_locales_0_display_script_example' # str |  (optional)
request_headers_accept_language_as_locales_0_display_variant = 'request_headers_accept_language_as_locales_0_display_variant_example' # str |  (optional)
request_headers_accept_language_as_locales_0_language = 'request_headers_accept_language_as_locales_0_language_example' # str |  (optional)
request_headers_accept_language_as_locales_0_script = 'request_headers_accept_language_as_locales_0_script_example' # str |  (optional)
request_headers_accept_language_as_locales_0_unicode_locale_attributes = ['request_headers_accept_language_as_locales_0_unicode_locale_attributes_example'] # list[str] |  (optional)
request_headers_accept_language_as_locales_0_unicode_locale_keys = ['request_headers_accept_language_as_locales_0_unicode_locale_keys_example'] # list[str] |  (optional)
request_headers_accept_language_as_locales_0_variant = 'request_headers_accept_language_as_locales_0_variant_example' # str |  (optional)
request_headers_accept_language_0_range = 'request_headers_accept_language_0_range_example' # str |  (optional)
request_headers_accept_language_0_weight = 1.2 # float |  (optional)
request_headers_accept_0_charset_registered = true # bool |  (optional)
request_headers_accept_0_concrete = true # bool |  (optional)
request_headers_accept_0_quality_value = 1.2 # float |  (optional)
request_headers_accept_0_subtype = 'request_headers_accept_0_subtype_example' # str |  (optional)
request_headers_accept_0_type = 'request_headers_accept_0_type_example' # str |  (optional)
request_headers_accept_0_wildcard_subtype = true # bool |  (optional)
request_headers_accept_0_wildcard_type = true # bool |  (optional)
request_headers_access_control_allow_credentials = true # bool |  (optional)
request_headers_access_control_allow_headers = ['request_headers_access_control_allow_headers_example'] # list[str] |  (optional)
request_headers_access_control_allow_methods = ['request_headers_access_control_allow_methods_example'] # list[str] |  (optional)
request_headers_access_control_allow_origin = 'request_headers_access_control_allow_origin_example' # str |  (optional)
request_headers_access_control_expose_headers = ['request_headers_access_control_expose_headers_example'] # list[str] |  (optional)
request_headers_access_control_max_age = 789 # int |  (optional)
request_headers_access_control_request_headers = ['request_headers_access_control_request_headers_example'] # list[str] |  (optional)
request_headers_access_control_request_method = 'request_headers_access_control_request_method_example' # str |  (optional)
request_headers_allow = ['request_headers_allow_example'] # list[str] |  (optional)
request_headers_cache_control = 'request_headers_cache_control_example' # str |  (optional)
request_headers_connection = ['request_headers_connection_example'] # list[str] |  (optional)
request_headers_content_disposition_charset_registered = true # bool |  (optional)
request_headers_content_disposition_creation_date = '2013-10-20T19:20:30+01:00' # datetime |  (optional)
request_headers_content_disposition_filename = 'request_headers_content_disposition_filename_example' # str |  (optional)
request_headers_content_disposition_modification_date = '2013-10-20T19:20:30+01:00' # datetime |  (optional)
request_headers_content_disposition_name = 'request_headers_content_disposition_name_example' # str |  (optional)
request_headers_content_disposition_read_date = '2013-10-20T19:20:30+01:00' # datetime |  (optional)
request_headers_content_disposition_size = 789 # int |  (optional)
request_headers_content_disposition_type = 'request_headers_content_disposition_type_example' # str |  (optional)
request_headers_content_language_iso3_country = 'request_headers_content_language_iso3_country_example' # str |  (optional)
request_headers_content_language_iso3_language = 'request_headers_content_language_iso3_language_example' # str |  (optional)
request_headers_content_language_country = 'request_headers_content_language_country_example' # str |  (optional)
request_headers_content_language_display_country = 'request_headers_content_language_display_country_example' # str |  (optional)
request_headers_content_language_display_language = 'request_headers_content_language_display_language_example' # str |  (optional)
request_headers_content_language_display_name = 'request_headers_content_language_display_name_example' # str |  (optional)
request_headers_content_language_display_script = 'request_headers_content_language_display_script_example' # str |  (optional)
request_headers_content_language_display_variant = 'request_headers_content_language_display_variant_example' # str |  (optional)
request_headers_content_language_language = 'request_headers_content_language_language_example' # str |  (optional)
request_headers_content_language_script = 'request_headers_content_language_script_example' # str |  (optional)
request_headers_content_language_unicode_locale_attributes = ['request_headers_content_language_unicode_locale_attributes_example'] # list[str] |  (optional)
request_headers_content_language_unicode_locale_keys = ['request_headers_content_language_unicode_locale_keys_example'] # list[str] |  (optional)
request_headers_content_language_variant = 'request_headers_content_language_variant_example' # str |  (optional)
request_headers_content_length = 789 # int |  (optional)
request_headers_content_type_charset_registered = true # bool |  (optional)
request_headers_content_type_concrete = true # bool |  (optional)
request_headers_content_type_quality_value = 1.2 # float |  (optional)
request_headers_content_type_subtype = 'request_headers_content_type_subtype_example' # str |  (optional)
request_headers_content_type_type = 'request_headers_content_type_type_example' # str |  (optional)
request_headers_content_type_wildcard_subtype = true # bool |  (optional)
request_headers_content_type_wildcard_type = true # bool |  (optional)
request_headers_date = 789 # int |  (optional)
request_headers_expires = 789 # int |  (optional)
request_headers_host_address_mc_global = true # bool |  (optional)
request_headers_host_address_mc_link_local = true # bool |  (optional)
request_headers_host_address_mc_node_local = true # bool |  (optional)
request_headers_host_address_mc_org_local = true # bool |  (optional)
request_headers_host_address_mc_site_local = true # bool |  (optional)
request_headers_host_address_address = 'B' # str |  (optional)
request_headers_host_address_any_local_address = true # bool |  (optional)
request_headers_host_address_canonical_host_name = 'request_headers_host_address_canonical_host_name_example' # str |  (optional)
request_headers_host_address_host_address = 'request_headers_host_address_host_address_example' # str |  (optional)
request_headers_host_address_host_name = 'request_headers_host_address_host_name_example' # str |  (optional)
request_headers_host_address_link_local_address = true # bool |  (optional)
request_headers_host_address_loopback_address = true # bool |  (optional)
request_headers_host_address_multicast_address = true # bool |  (optional)
request_headers_host_address_site_local_address = true # bool |  (optional)
request_headers_host_host_name = 'request_headers_host_host_name_example' # str |  (optional)
request_headers_host_host_string = 'request_headers_host_host_string_example' # str |  (optional)
request_headers_host_port = 56 # int |  (optional)
request_headers_host_unresolved = true # bool |  (optional)
request_headers_if_match = ['request_headers_if_match_example'] # list[str] |  (optional)
request_headers_if_modified_since = 789 # int |  (optional)
request_headers_if_none_match = ['request_headers_if_none_match_example'] # list[str] |  (optional)
request_headers_if_unmodified_since = 789 # int |  (optional)
request_headers_last_modified = 789 # int |  (optional)
request_headers_location_absolute = true # bool |  (optional)
request_headers_location_authority = 'request_headers_location_authority_example' # str |  (optional)
request_headers_location_fragment = 'request_headers_location_fragment_example' # str |  (optional)
request_headers_location_host = 'request_headers_location_host_example' # str |  (optional)
request_headers_location_opaque = true # bool |  (optional)
request_headers_location_path = 'request_headers_location_path_example' # str |  (optional)
request_headers_location_port = 56 # int |  (optional)
request_headers_location_query = 'request_headers_location_query_example' # str |  (optional)
request_headers_location_raw_authority = 'request_headers_location_raw_authority_example' # str |  (optional)
request_headers_location_raw_fragment = 'request_headers_location_raw_fragment_example' # str |  (optional)
request_headers_location_raw_path = 'request_headers_location_raw_path_example' # str |  (optional)
request_headers_location_raw_query = 'request_headers_location_raw_query_example' # str |  (optional)
request_headers_location_raw_scheme_specific_part = 'request_headers_location_raw_scheme_specific_part_example' # str |  (optional)
request_headers_location_raw_user_info = 'request_headers_location_raw_user_info_example' # str |  (optional)
request_headers_location_scheme = 'request_headers_location_scheme_example' # str |  (optional)
request_headers_location_scheme_specific_part = 'request_headers_location_scheme_specific_part_example' # str |  (optional)
request_headers_location_user_info = 'request_headers_location_user_info_example' # str |  (optional)
request_headers_origin = 'request_headers_origin_example' # str |  (optional)
request_headers_pragma = 'request_headers_pragma_example' # str |  (optional)
request_headers_upgrade = 'request_headers_upgrade_example' # str |  (optional)
request_headers_vary = ['request_headers_vary_example'] # list[str] |  (optional)
request_method = 'request_method_example' # str |  (optional)

try:
    # Attaches a file to an object.
    api_response = api_instance.attach(authorization, attachment_name, bucket_name, local_file, object_path, request_headers_e_tag=request_headers_e_tag, request_headers_accept_charset_0_registered=request_headers_accept_charset_0_registered, request_headers_accept_language_as_locales_0_iso3_country=request_headers_accept_language_as_locales_0_iso3_country, request_headers_accept_language_as_locales_0_iso3_language=request_headers_accept_language_as_locales_0_iso3_language, request_headers_accept_language_as_locales_0_country=request_headers_accept_language_as_locales_0_country, request_headers_accept_language_as_locales_0_display_country=request_headers_accept_language_as_locales_0_display_country, request_headers_accept_language_as_locales_0_display_language=request_headers_accept_language_as_locales_0_display_language, request_headers_accept_language_as_locales_0_display_name=request_headers_accept_language_as_locales_0_display_name, request_headers_accept_language_as_locales_0_display_script=request_headers_accept_language_as_locales_0_display_script, request_headers_accept_language_as_locales_0_display_variant=request_headers_accept_language_as_locales_0_display_variant, request_headers_accept_language_as_locales_0_language=request_headers_accept_language_as_locales_0_language, request_headers_accept_language_as_locales_0_script=request_headers_accept_language_as_locales_0_script, request_headers_accept_language_as_locales_0_unicode_locale_attributes=request_headers_accept_language_as_locales_0_unicode_locale_attributes, request_headers_accept_language_as_locales_0_unicode_locale_keys=request_headers_accept_language_as_locales_0_unicode_locale_keys, request_headers_accept_language_as_locales_0_variant=request_headers_accept_language_as_locales_0_variant, request_headers_accept_language_0_range=request_headers_accept_language_0_range, request_headers_accept_language_0_weight=request_headers_accept_language_0_weight, request_headers_accept_0_charset_registered=request_headers_accept_0_charset_registered, request_headers_accept_0_concrete=request_headers_accept_0_concrete, request_headers_accept_0_quality_value=request_headers_accept_0_quality_value, request_headers_accept_0_subtype=request_headers_accept_0_subtype, request_headers_accept_0_type=request_headers_accept_0_type, request_headers_accept_0_wildcard_subtype=request_headers_accept_0_wildcard_subtype, request_headers_accept_0_wildcard_type=request_headers_accept_0_wildcard_type, request_headers_access_control_allow_credentials=request_headers_access_control_allow_credentials, request_headers_access_control_allow_headers=request_headers_access_control_allow_headers, request_headers_access_control_allow_methods=request_headers_access_control_allow_methods, request_headers_access_control_allow_origin=request_headers_access_control_allow_origin, request_headers_access_control_expose_headers=request_headers_access_control_expose_headers, request_headers_access_control_max_age=request_headers_access_control_max_age, request_headers_access_control_request_headers=request_headers_access_control_request_headers, request_headers_access_control_request_method=request_headers_access_control_request_method, request_headers_allow=request_headers_allow, request_headers_cache_control=request_headers_cache_control, request_headers_connection=request_headers_connection, request_headers_content_disposition_charset_registered=request_headers_content_disposition_charset_registered, request_headers_content_disposition_creation_date=request_headers_content_disposition_creation_date, request_headers_content_disposition_filename=request_headers_content_disposition_filename, request_headers_content_disposition_modification_date=request_headers_content_disposition_modification_date, request_headers_content_disposition_name=request_headers_content_disposition_name, request_headers_content_disposition_read_date=request_headers_content_disposition_read_date, request_headers_content_disposition_size=request_headers_content_disposition_size, request_headers_content_disposition_type=request_headers_content_disposition_type, request_headers_content_language_iso3_country=request_headers_content_language_iso3_country, request_headers_content_language_iso3_language=request_headers_content_language_iso3_language, request_headers_content_language_country=request_headers_content_language_country, request_headers_content_language_display_country=request_headers_content_language_display_country, request_headers_content_language_display_language=request_headers_content_language_display_language, request_headers_content_language_display_name=request_headers_content_language_display_name, request_headers_content_language_display_script=request_headers_content_language_display_script, request_headers_content_language_display_variant=request_headers_content_language_display_variant, request_headers_content_language_language=request_headers_content_language_language, request_headers_content_language_script=request_headers_content_language_script, request_headers_content_language_unicode_locale_attributes=request_headers_content_language_unicode_locale_attributes, request_headers_content_language_unicode_locale_keys=request_headers_content_language_unicode_locale_keys, request_headers_content_language_variant=request_headers_content_language_variant, request_headers_content_length=request_headers_content_length, request_headers_content_type_charset_registered=request_headers_content_type_charset_registered, request_headers_content_type_concrete=request_headers_content_type_concrete, request_headers_content_type_quality_value=request_headers_content_type_quality_value, request_headers_content_type_subtype=request_headers_content_type_subtype, request_headers_content_type_type=request_headers_content_type_type, request_headers_content_type_wildcard_subtype=request_headers_content_type_wildcard_subtype, request_headers_content_type_wildcard_type=request_headers_content_type_wildcard_type, request_headers_date=request_headers_date, request_headers_expires=request_headers_expires, request_headers_host_address_mc_global=request_headers_host_address_mc_global, request_headers_host_address_mc_link_local=request_headers_host_address_mc_link_local, request_headers_host_address_mc_node_local=request_headers_host_address_mc_node_local, request_headers_host_address_mc_org_local=request_headers_host_address_mc_org_local, request_headers_host_address_mc_site_local=request_headers_host_address_mc_site_local, request_headers_host_address_address=request_headers_host_address_address, request_headers_host_address_any_local_address=request_headers_host_address_any_local_address, request_headers_host_address_canonical_host_name=request_headers_host_address_canonical_host_name, request_headers_host_address_host_address=request_headers_host_address_host_address, request_headers_host_address_host_name=request_headers_host_address_host_name, request_headers_host_address_link_local_address=request_headers_host_address_link_local_address, request_headers_host_address_loopback_address=request_headers_host_address_loopback_address, request_headers_host_address_multicast_address=request_headers_host_address_multicast_address, request_headers_host_address_site_local_address=request_headers_host_address_site_local_address, request_headers_host_host_name=request_headers_host_host_name, request_headers_host_host_string=request_headers_host_host_string, request_headers_host_port=request_headers_host_port, request_headers_host_unresolved=request_headers_host_unresolved, request_headers_if_match=request_headers_if_match, request_headers_if_modified_since=request_headers_if_modified_since, request_headers_if_none_match=request_headers_if_none_match, request_headers_if_unmodified_since=request_headers_if_unmodified_since, request_headers_last_modified=request_headers_last_modified, request_headers_location_absolute=request_headers_location_absolute, request_headers_location_authority=request_headers_location_authority, request_headers_location_fragment=request_headers_location_fragment, request_headers_location_host=request_headers_location_host, request_headers_location_opaque=request_headers_location_opaque, request_headers_location_path=request_headers_location_path, request_headers_location_port=request_headers_location_port, request_headers_location_query=request_headers_location_query, request_headers_location_raw_authority=request_headers_location_raw_authority, request_headers_location_raw_fragment=request_headers_location_raw_fragment, request_headers_location_raw_path=request_headers_location_raw_path, request_headers_location_raw_query=request_headers_location_raw_query, request_headers_location_raw_scheme_specific_part=request_headers_location_raw_scheme_specific_part, request_headers_location_raw_user_info=request_headers_location_raw_user_info, request_headers_location_scheme=request_headers_location_scheme, request_headers_location_scheme_specific_part=request_headers_location_scheme_specific_part, request_headers_location_user_info=request_headers_location_user_info, request_headers_origin=request_headers_origin, request_headers_pragma=request_headers_pragma, request_headers_upgrade=request_headers_upgrade, request_headers_vary=request_headers_vary, request_method=request_method)
    pprint(api_response)
except ApiException as e:
    print("Exception when calling AttachmentsPublicApiControllerApi->attach: %s\n" % e)
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **authorization** | **str**| Authorization | 
 **attachment_name** | **str**| attachmentName | 
 **bucket_name** | **str**| bucketName | 
 **local_file** | **file**| localFile | 
 **object_path** | **str**| objectPath | 
 **request_headers_e_tag** | **str**|  | [optional] 
 **request_headers_accept_charset_0_registered** | **bool**|  | [optional] 
 **request_headers_accept_language_as_locales_0_iso3_country** | **str**|  | [optional] 
 **request_headers_accept_language_as_locales_0_iso3_language** | **str**|  | [optional] 
 **request_headers_accept_language_as_locales_0_country** | **str**|  | [optional] 
 **request_headers_accept_language_as_locales_0_display_country** | **str**|  | [optional] 
 **request_headers_accept_language_as_locales_0_display_language** | **str**|  | [optional] 
 **request_headers_accept_language_as_locales_0_display_name** | **str**|  | [optional] 
 **request_headers_accept_language_as_locales_0_display_script** | **str**|  | [optional] 
 **request_headers_accept_language_as_locales_0_display_variant** | **str**|  | [optional] 
 **request_headers_accept_language_as_locales_0_language** | **str**|  | [optional] 
 **request_headers_accept_language_as_locales_0_script** | **str**|  | [optional] 
 **request_headers_accept_language_as_locales_0_unicode_locale_attributes** | [**list[str]**](str.md)|  | [optional] 
 **request_headers_accept_language_as_locales_0_unicode_locale_keys** | [**list[str]**](str.md)|  | [optional] 
 **request_headers_accept_language_as_locales_0_variant** | **str**|  | [optional] 
 **request_headers_accept_language_0_range** | **str**|  | [optional] 
 **request_headers_accept_language_0_weight** | **float**|  | [optional] 
 **request_headers_accept_0_charset_registered** | **bool**|  | [optional] 
 **request_headers_accept_0_concrete** | **bool**|  | [optional] 
 **request_headers_accept_0_quality_value** | **float**|  | [optional] 
 **request_headers_accept_0_subtype** | **str**|  | [optional] 
 **request_headers_accept_0_type** | **str**|  | [optional] 
 **request_headers_accept_0_wildcard_subtype** | **bool**|  | [optional] 
 **request_headers_accept_0_wildcard_type** | **bool**|  | [optional] 
 **request_headers_access_control_allow_credentials** | **bool**|  | [optional] 
 **request_headers_access_control_allow_headers** | [**list[str]**](str.md)|  | [optional] 
 **request_headers_access_control_allow_methods** | [**list[str]**](str.md)|  | [optional] 
 **request_headers_access_control_allow_origin** | **str**|  | [optional] 
 **request_headers_access_control_expose_headers** | [**list[str]**](str.md)|  | [optional] 
 **request_headers_access_control_max_age** | **int**|  | [optional] 
 **request_headers_access_control_request_headers** | [**list[str]**](str.md)|  | [optional] 
 **request_headers_access_control_request_method** | **str**|  | [optional] 
 **request_headers_allow** | [**list[str]**](str.md)|  | [optional] 
 **request_headers_cache_control** | **str**|  | [optional] 
 **request_headers_connection** | [**list[str]**](str.md)|  | [optional] 
 **request_headers_content_disposition_charset_registered** | **bool**|  | [optional] 
 **request_headers_content_disposition_creation_date** | **datetime**|  | [optional] 
 **request_headers_content_disposition_filename** | **str**|  | [optional] 
 **request_headers_content_disposition_modification_date** | **datetime**|  | [optional] 
 **request_headers_content_disposition_name** | **str**|  | [optional] 
 **request_headers_content_disposition_read_date** | **datetime**|  | [optional] 
 **request_headers_content_disposition_size** | **int**|  | [optional] 
 **request_headers_content_disposition_type** | **str**|  | [optional] 
 **request_headers_content_language_iso3_country** | **str**|  | [optional] 
 **request_headers_content_language_iso3_language** | **str**|  | [optional] 
 **request_headers_content_language_country** | **str**|  | [optional] 
 **request_headers_content_language_display_country** | **str**|  | [optional] 
 **request_headers_content_language_display_language** | **str**|  | [optional] 
 **request_headers_content_language_display_name** | **str**|  | [optional] 
 **request_headers_content_language_display_script** | **str**|  | [optional] 
 **request_headers_content_language_display_variant** | **str**|  | [optional] 
 **request_headers_content_language_language** | **str**|  | [optional] 
 **request_headers_content_language_script** | **str**|  | [optional] 
 **request_headers_content_language_unicode_locale_attributes** | [**list[str]**](str.md)|  | [optional] 
 **request_headers_content_language_unicode_locale_keys** | [**list[str]**](str.md)|  | [optional] 
 **request_headers_content_language_variant** | **str**|  | [optional] 
 **request_headers_content_length** | **int**|  | [optional] 
 **request_headers_content_type_charset_registered** | **bool**|  | [optional] 
 **request_headers_content_type_concrete** | **bool**|  | [optional] 
 **request_headers_content_type_quality_value** | **float**|  | [optional] 
 **request_headers_content_type_subtype** | **str**|  | [optional] 
 **request_headers_content_type_type** | **str**|  | [optional] 
 **request_headers_content_type_wildcard_subtype** | **bool**|  | [optional] 
 **request_headers_content_type_wildcard_type** | **bool**|  | [optional] 
 **request_headers_date** | **int**|  | [optional] 
 **request_headers_expires** | **int**|  | [optional] 
 **request_headers_host_address_mc_global** | **bool**|  | [optional] 
 **request_headers_host_address_mc_link_local** | **bool**|  | [optional] 
 **request_headers_host_address_mc_node_local** | **bool**|  | [optional] 
 **request_headers_host_address_mc_org_local** | **bool**|  | [optional] 
 **request_headers_host_address_mc_site_local** | **bool**|  | [optional] 
 **request_headers_host_address_address** | **str**|  | [optional] 
 **request_headers_host_address_any_local_address** | **bool**|  | [optional] 
 **request_headers_host_address_canonical_host_name** | **str**|  | [optional] 
 **request_headers_host_address_host_address** | **str**|  | [optional] 
 **request_headers_host_address_host_name** | **str**|  | [optional] 
 **request_headers_host_address_link_local_address** | **bool**|  | [optional] 
 **request_headers_host_address_loopback_address** | **bool**|  | [optional] 
 **request_headers_host_address_multicast_address** | **bool**|  | [optional] 
 **request_headers_host_address_site_local_address** | **bool**|  | [optional] 
 **request_headers_host_host_name** | **str**|  | [optional] 
 **request_headers_host_host_string** | **str**|  | [optional] 
 **request_headers_host_port** | **int**|  | [optional] 
 **request_headers_host_unresolved** | **bool**|  | [optional] 
 **request_headers_if_match** | [**list[str]**](str.md)|  | [optional] 
 **request_headers_if_modified_since** | **int**|  | [optional] 
 **request_headers_if_none_match** | [**list[str]**](str.md)|  | [optional] 
 **request_headers_if_unmodified_since** | **int**|  | [optional] 
 **request_headers_last_modified** | **int**|  | [optional] 
 **request_headers_location_absolute** | **bool**|  | [optional] 
 **request_headers_location_authority** | **str**|  | [optional] 
 **request_headers_location_fragment** | **str**|  | [optional] 
 **request_headers_location_host** | **str**|  | [optional] 
 **request_headers_location_opaque** | **bool**|  | [optional] 
 **request_headers_location_path** | **str**|  | [optional] 
 **request_headers_location_port** | **int**|  | [optional] 
 **request_headers_location_query** | **str**|  | [optional] 
 **request_headers_location_raw_authority** | **str**|  | [optional] 
 **request_headers_location_raw_fragment** | **str**|  | [optional] 
 **request_headers_location_raw_path** | **str**|  | [optional] 
 **request_headers_location_raw_query** | **str**|  | [optional] 
 **request_headers_location_raw_scheme_specific_part** | **str**|  | [optional] 
 **request_headers_location_raw_user_info** | **str**|  | [optional] 
 **request_headers_location_scheme** | **str**|  | [optional] 
 **request_headers_location_scheme_specific_part** | **str**|  | [optional] 
 **request_headers_location_user_info** | **str**|  | [optional] 
 **request_headers_origin** | **str**|  | [optional] 
 **request_headers_pragma** | **str**|  | [optional] 
 **request_headers_upgrade** | **str**|  | [optional] 
 **request_headers_vary** | [**list[str]**](str.md)|  | [optional] 
 **request_method** | **str**|  | [optional] 

### Return type

[**FileStatus**](FileStatus.md)

### Authorization

No authorization required

### HTTP request headers

 - **Content-Type**: multipart/form-data
 - **Accept**: */*

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **detach**
> bool detach(authorization, bucket_name, detach_form)

Detaches a file from an object.

### Example
```python
from __future__ import print_function
import time
import bdl_client
from bdl_client.rest import ApiException
from pprint import pprint

# create an instance of the API class
api_instance = bdl_client.AttachmentsPublicApiControllerApi()
authorization = 'authorization_example' # str | Authorization
bucket_name = 'bucket_name_example' # str | bucketName
detach_form = bdl_client.DetachForm() # DetachForm | detachForm

try:
    # Detaches a file from an object.
    api_response = api_instance.detach(authorization, bucket_name, detach_form)
    pprint(api_response)
except ApiException as e:
    print("Exception when calling AttachmentsPublicApiControllerApi->detach: %s\n" % e)
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **authorization** | **str**| Authorization | 
 **bucket_name** | **str**| bucketName | 
 **detach_form** | [**DetachForm**](DetachForm.md)| detachForm | 

### Return type

**bool**

### Authorization

No authorization required

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: */*

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **download_attachment**
> download_attachment(authorization, attachment_name, bucket_name, object_path)

Downloads object that is attached to the given object.

### Example
```python
from __future__ import print_function
import time
import bdl_client
from bdl_client.rest import ApiException
from pprint import pprint

# create an instance of the API class
api_instance = bdl_client.AttachmentsPublicApiControllerApi()
authorization = 'authorization_example' # str | Authorization
attachment_name = 'attachment_name_example' # str | attachmentName
bucket_name = 'bucket_name_example' # str | bucketName
object_path = 'object_path_example' # str | objectPath

try:
    # Downloads object that is attached to the given object.
    api_instance.download_attachment(authorization, attachment_name, bucket_name, object_path)
except ApiException as e:
    print("Exception when calling AttachmentsPublicApiControllerApi->download_attachment: %s\n" % e)
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **authorization** | **str**| Authorization | 
 **attachment_name** | **str**| attachmentName | 
 **bucket_name** | **str**| bucketName | 
 **object_path** | **str**| objectPath | 

### Return type

void (empty response body)

### Authorization

No authorization required

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: */*

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **get_attachment_description**
> str get_attachment_description(authorization, attachment_name, bucket_name, object_path)

Return the description for the attachment at the specified path.

### Example
```python
from __future__ import print_function
import time
import bdl_client
from bdl_client.rest import ApiException
from pprint import pprint

# create an instance of the API class
api_instance = bdl_client.AttachmentsPublicApiControllerApi()
authorization = 'authorization_example' # str | Authorization
attachment_name = 'attachment_name_example' # str | attachmentName
bucket_name = 'bucket_name_example' # str | bucketName
object_path = 'object_path_example' # str | objectPath

try:
    # Return the description for the attachment at the specified path.
    api_response = api_instance.get_attachment_description(authorization, attachment_name, bucket_name, object_path)
    pprint(api_response)
except ApiException as e:
    print("Exception when calling AttachmentsPublicApiControllerApi->get_attachment_description: %s\n" % e)
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **authorization** | **str**| Authorization | 
 **attachment_name** | **str**| attachmentName | 
 **bucket_name** | **str**| bucketName | 
 **object_path** | **str**| objectPath | 

### Return type

**str**

### Authorization

No authorization required

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: */*

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **list_attachments**
> list[str] list_attachments(authorization, bucket_name, object_path)

Lists the attachments belonging to an object.

### Example
```python
from __future__ import print_function
import time
import bdl_client
from bdl_client.rest import ApiException
from pprint import pprint

# create an instance of the API class
api_instance = bdl_client.AttachmentsPublicApiControllerApi()
authorization = 'authorization_example' # str | Authorization
bucket_name = 'bucket_name_example' # str | bucketName
object_path = 'object_path_example' # str | objectPath

try:
    # Lists the attachments belonging to an object.
    api_response = api_instance.list_attachments(authorization, bucket_name, object_path)
    pprint(api_response)
except ApiException as e:
    print("Exception when calling AttachmentsPublicApiControllerApi->list_attachments: %s\n" % e)
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **authorization** | **str**| Authorization | 
 **bucket_name** | **str**| bucketName | 
 **object_path** | **str**| objectPath | 

### Return type

**list[str]**

### Authorization

No authorization required

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: */*

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **set_attachment_description**
> bool set_attachment_description(authorization, bucket_name, description_form)

Sets the description for the object at the specified path.

### Example
```python
from __future__ import print_function
import time
import bdl_client
from bdl_client.rest import ApiException
from pprint import pprint

# create an instance of the API class
api_instance = bdl_client.AttachmentsPublicApiControllerApi()
authorization = 'authorization_example' # str | Authorization
bucket_name = 'bucket_name_example' # str | bucketName
description_form = bdl_client.DescriptionForm() # DescriptionForm | descriptionForm

try:
    # Sets the description for the object at the specified path.
    api_response = api_instance.set_attachment_description(authorization, bucket_name, description_form)
    pprint(api_response)
except ApiException as e:
    print("Exception when calling AttachmentsPublicApiControllerApi->set_attachment_description: %s\n" % e)
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **authorization** | **str**| Authorization | 
 **bucket_name** | **str**| bucketName | 
 **description_form** | [**DescriptionForm**](DescriptionForm.md)| descriptionForm | 

### Return type

**bool**

### Authorization

No authorization required

### HTTP request headers

 - **Content-Type**: application/json
 - **Accept**: */*

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

