# FirewallRule

## Properties
Name | Type | Description | Notes
------------ | ------------- | ------------- | -------------
**description** | **str** | Description to be used internally and in the system where the rule will be applied, if allowed. | [optional] 
**ips** | **str** | A list of one or more valid CIDR IPs that are to be allowed by the rule. | [optional] 
**name** | **str** | Name used to differentiate the firewall rules inside a list of firewall rules. Must be unique at a datapool level. | [optional] 
**ports** | **str** | Specifies if a single port, a range of ports or all ports are allowed by the rule. | [optional] 
**protocol** | **str** | The protocol allowed by the firewall rule. | [optional] 

[[Back to Model list]](../README.md#documentation-for-models) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to README]](../README.md)


