# bdl_client.GenericPublicApiControllerApi

All URIs are relative to *https://localhost*

Method | HTTP request | Description
------------- | ------------- | -------------
[**get_buckets**](GenericPublicApiControllerApi.md#get_buckets) | **GET** /api/v1/datamanagement/buckets | Returns all the buckets that current authenticated user has access to.


# **get_buckets**
> list[str] get_buckets(authorization)

Returns all the buckets that current authenticated user has access to.

### Example
```python
from __future__ import print_function
import time
import bdl_client
from bdl_client.rest import ApiException
from pprint import pprint

# create an instance of the API class
api_instance = bdl_client.GenericPublicApiControllerApi()
authorization = 'authorization_example' # str | Authorization

try:
    # Returns all the buckets that current authenticated user has access to.
    api_response = api_instance.get_buckets(authorization)
    pprint(api_response)
except ApiException as e:
    print("Exception when calling GenericPublicApiControllerApi->get_buckets: %s\n" % e)
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **authorization** | **str**| Authorization | 

### Return type

**list[str]**

### Authorization

No authorization required

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: */*

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

